Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	3D multi-player tank battle game
Name:		bzflag
Version:	2.0.10
Release:	1
License:	LGPLv2
Group:		Games/Strategy
URL:		http://bzflag.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	bzflag.desktop
Patch0:		bzflag-2.0.4-lookup.patch
Patch1:		bzflag-2.0.10-plugins.patch
Patch2:		bzflag-2.0.10-gcc-4.3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libXi-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	libXext-devel
BuildRequires:	libSM-devel
BuildRequires:	libICE-devel
BuildRequires:	libX11-devel
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:	gcc-c++
BuildRequires:	SDL-devel
BuildRequires:	ncurses-devel
BuildRequires:	curl-devel
BuildRequires:	c-ares-devel
BuildRequires:	bc
BuildRequires:	sed
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

Requires:	opengl-games-utils

%description
BZFlag is a 3D multi-player tank battle game  that  allows users to play
against each other in a networked environment.  There are five teams: red,
green, blue, purple and rogue (rogue tanks are black).  Destroying a player
on another team  scores a win, while being destroyed or destroying a teammate
scores a loss.  Rogues have no teammates (not even other rogues), so they
cannot shoot teammates and they do not have a team score.
There are two main styles of play: capture-the-flag and free-for-all.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .lookup
%patch1 -p1 -b .plugins
%patch2 -p1 -b .gcc-4.3

%build
autoreconf
# Use PIE because bzflag/bzfs are networked server applications
CFLAGS='-fPIC %{optflags} -fno-strict-aliasing'
CXXFLAGS='-fPIC %{optflags} -fno-strict-aliasing'
LDFLAGS='-pie'
%configure \
    --enable-optimized \
    --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# icon install
install -D -m 644 package/rpm/%{name}-m.xpm $RPM_BUILD_ROOT%_pixmaps/%{name}.xpm
# remove static
rm -f %{buildroot}%{_libdir}/bzflag/plugins/*.a
rm -f %{buildroot}%{_libdir}/bzflag/plugins/*.la
# opengl-wrapper
ln -snf opengl-game-wrapper.sh $RPM_BUILD_ROOT%_bindir/%{name}-wrapper
sed 's:^Exec=\(.*\)$:Exec=\1-wrapper:g' < %{SOURCE1} > %{name}.desktop
# desktopfile install
mkdir -p $RPM_BUILD_ROOT%_applications
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT%_applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README README.Linux
%_bindir/bzadmin
%_bindir/%{name}
%_bindir/%{name}-wrapper
%_bindir/bzfs
%dir %_libdir/%{name}
%dir %_libdir/%{name}/plugins
%_libdir/%{name}/plugins
%_applications/%{name}.desktop
%_datadir/%{name}
%_pixmaps/%{name}.xpm
%_mandir

%changelog
* Tue Apr 22 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.10-1
- Initial release